This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 755409 - cannot readd a partition to a mirror
cannot readd a partition to a mirror
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-20 22:51 EST by Nerijus Baliūnas
Modified: 2011-11-21 06:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-21 06:54:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2011-11-20 22:51:18 EST
/dev/sdb4 was a part of /dev/md2, but was removed manually. After reboot:

# cat /proc/mdstat 
Personalities : [raid1] 
md2 : active raid1 sda4[1]
      404468416 blocks [2/1] [_U]


# mdadm /dev/md2 -a /dev/sdb4
mdadm: /dev/sdb4 reports being an active member for /dev/md2, but a --re-add fails.
mdadm: not performing --add as that would convert /dev/sdb4 in to a spare.
mdadm: To make this a spare, use "mdadm --zero-superblock /dev/sdb4" first.

How do I readd sdb4 to md2?
Comment 1 Jes Sorensen 2011-11-21 06:54:48 EST
Just follow the instructions provided in the output from mdadm.

The issue with raid1 is that if you just re-add it, mdadm wouldn't know
which of the two drives is authoritative and you could end up with old
data.

If you mdadm --zero-superblock /dev/sdb4 first you should be able to re-add
the drive.

Note You need to log in before you can comment on or make changes to this bug.